package com.rosetta.messenger.network

class PacketGroupLeave : Packet() {
    var groupId: String = ""

    override fun getPacketId(): Int = 0x15

    override fun receive(stream: Stream) {
        groupId = stream.readString()
    }

    override fun send(): Stream {
        val stream = Stream()
        stream.writeInt16(getPacketId())
        stream.writeString(groupId)
        return stream
    }
}
